# base64.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API int | GWEN_Base64_Decode (const unsigned char *src, unsigned int size, GWEN_BUFFER *dst)
GWENHYWFAR_API int | GWEN_Base64_Encode (const unsigned char *src, unsigned int size, GWEN_BUFFER *dst, unsigned int maxLineLength)

## Function Documentation

GWENHYWFAR_API int GWEN_Base64_Decode | ( | const unsigned char * | src,
|  | unsigned int | size,
|  | GWEN_BUFFER * | dst
| ) |

Decodes base64 encoded data and stores the result in a GWEN_BUFFER.

Returns:
  0 if ok, !=0 on error

Parameters:

  | src | src buffer
  | size | number of bytes to store in the GWEN_BUFFER (this is NOT the number of bytes stored in the source buffer, that buffer must hold more bytes because base64 encoding inflates the data to 4/3).
  | dst | destination buffer

GWENHYWFAR_API int GWEN_Base64_Encode | ( | const unsigned char * | src,
|  | unsigned int | size,
|  | GWEN_BUFFER * | dst,
|  | unsigned int | maxLineLength
| ) |

Encodes the given bytes and stores the result in a GWEN_BUFFER.

Returns:
  0 if ok, !=0 on error

Parameters:

  | src | src buffer
  | size | number of bytes in the source buffer
  | dst | destination buffer
  | maxLineLength | after this number of bytes a line break is inserted (if 0 then no line break is inserted)